Name: kiran-cpanel-display
Version: 2.1.0
Release: 2%{?dist}
Summary: kiran display tools

License:        Mulan PSL v2        
Source0:        %{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libX11-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-linguist
BuildRequires: kiran-widgets-qt5-devel
BuildRequires: kiran-cc-daemon-devel
BuildRequires: kiran-log-qt5-devel
BuildRequires: kiran-control-panel-devel

Requires: libX11
Requires: qt5-qtx11extras
Requires: qt5-qtbase
Requires: qt5-qtsvg
Requires: kiran-widgets-qt5
Requires: kiran-session-daemon
Requires: kiran-log-qt5
Requires: kiran-cpanel-launcher

Obsoletes:    kiran-display-tools

%description
%{summary}.

%prep
%setup -q

%build
%{__mkdir} -p %{buildroot}
%cmake
make %{?_smp_mflags}

%install
%make_install

%post
gtk-update-icon-cache -f /usr/share/icons/hicolor/

%posttrans
%define link_source %{_datadir}/kiran-control-panel/plugins/desktop/%{name}.desktop
%define link_target %{_datadir}/applications/%{name}.desktop
if [ ! -e %{link_target} ] ; then 
	ln -sf %{link_source} %{link_target}
	echo "link %{link_source} -> %{link_target}"
fi

%files
%{_datadir}/kiran-control-panel/plugins/libs/libkiran-cpanel-display.so*
%{_datadir}/kiran-control-panel/plugins/desktop/*
%{_datadir}/icons/hicolor/*
%{_datadir}/kiran-cpanel-display/translations/*.qm
%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%changelog
* Mon Oct 18 2021 xiewenhao <xiewenhao@kylinos.com.cn> - 2.1.0-1.kb2
- KYOS-B: fix license information (#43502)

* Tue Jul 20 2021 luixinhao <liuxinhao@kylinos.com.cn> - 2.1.0-1.kb1
- KYOS-F: install desktop link (#38890)

* Wed Jun 30 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 1.1.0-2.kb1
- KYOS-B: don't exit if translation file not found 

* Wed Jun 09 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 1.1.0-1.kb1
- KYOS-F: build for KiranControlPanel plugin

* Tue Feb 02 2021 yangxiaoqing <yangxiaoqing@kylinsec.com.cn> - 1.0+alpha2
- KYOS-F: Complete cmake hierarchical management(#34612);Add support for up and down flip and horizontal flip (#34217)

* Thu Nov 26 2020 yangxiaoqing <yangxiaoqing@kylinsec.com.cn> - 1.0+alpha1
- First release




